Subject: Re: Tricky cygwin license question
From: Dave Dykstra <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Mon, 7 Jan 2002 16:13:58 -0600

On Mon, Jan 07, 2002 at 04:58:49PM -0500, Christopher Faylor wrote:
> On Mon, Jan 07, 2002 at 12:43:14PM -0600, Dave Dykstra wrote:
> >Hi,
> >
> >I have a few questions about Cygwin licensing, and the last one I think is
> >kind of tricky.
> >
> >I run a software distribution system in Lucent that automatically
> >distributes hundreds of tools, mostly open source tools but also some
> >internal proprietary tools.  The system includes a remote-compile
> >capability that we allow volunteers from all over the company to use to
> >compile the tools which they then install for distribution.  We support a
> >lot of Unix types and now we want to add a Cygwin type and are almost ready
> >to deploy it.
> >
> >Question 1: There's no problem with distributing proprietary tools
> >internally that use the Cygwin library, correct?  I don't see anything in
> >the GPL that would prevent that.  We do make the source code of these tools
> >also available internally if that matters, and everybody inside can do with
> >it as they wish except that they're subject to our own company's rules and
> >so won't redistribute it outside the company.
> 
> As I understand it, you can do whatever you like internally.  IANAL, though.
> If you want to be safe, you should consult with a lawyer.

Thanks, I'm glad to hear from somebody at Redhat who agrees with my reading.

> >Question 2: There are currently two other companies (both which happen to
> >have spun off of Lucent) that we send our tools to, in both binary and
> >source form, and they pay us to get all the tools including the open source
> >tools and many of the proprietary tools.  The source for our own tools that
> >we send them is not under the GPL; they may use it internally for whatever
> >purpose they want, but may not redistribute it outside.  There's no reason
> >why they couldn't take our source code and compile it themselves with
> >Cygwin for their own internal use, right?  Again, I don't see how the GPL
> >prevents that.
> 
> If you are distributing binaries outside of your organization, you must
> adhere to the terms of the cygwin licensing.
> 
> If you are giving people binaries that use the cygwin DLL, then the
> sources must be made available.  The sources *will* be freely
> redistributable.  You don't have any control over that.  There is no
> wiggle room here.  This is the whole point of the GPL.

Ok, then I will just have to plan on not distributing cygwin-based binaries
to them but letting them compile from source themselves.  That's what I
figured but I thought it was worth asking.

> If you are distributing parts of the cygwin net release, then there are
> a number of other licenses that you have to worry about.  The
> development tools are mostly GPL but there are exceptions.

Understood.

> >Question 3: It would save the other two companies trouble if we also gave
> >them the binaries of our proprietary tools, and they would end up with the
> >same result as if they compiled the tools themselves.  However, I believe
> >the GPL and http://cygwin.com/licensing.html requires that if we gave them
> >our binaries linked with Cygwin, we'd have to give them our source under
> >some open source license, meaning they'd have the right to redistribute it
> >outside their company.  Am I right?  Even if I am, would you grant an
> >exception for this case because they end up with the same result if we
> >compile it for them or if they compile it themselves?
> 
> Other license arrangements are available for software that is linked by
> with the cygwin dll but not already covered by a free software license.
> Check out the "Red Hat Cygwin Product" link at the cygwin web site.

Yes I was aware of that but I expect the other companies would rather
compile from source.

Thanks again,

- Dave Dykstra

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/